import request from '@/utils/request'

// 查询孕检记录列表
export function listPregnancy_Test(query) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test/list',
    method: 'get',
    params: query
  })
}

// 查询孕检记录详细
export function getPregnancy_Test(id) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test/' + id,
    method: 'get'
  })
}

// 新增孕检记录
export function addPregnancy_Test(data) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test',
    method: 'post',
    data: data
  })
}

// 修改孕检记录
export function updatePregnancy_Test(data) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test',
    method: 'put',
    data: data
  })
}

// 删除孕检记录
export function delPregnancy_Test(id) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test/' + id,
    method: 'delete'
  })
}

// 根据耳号查询羊只信息
export function getSheepByManageTags(manageTags) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test/getSheepByManageTags',
    method: 'get',
    params: {
      manageTags: manageTags
    }
  })
}

// 根据耳号获取配种信息
export function getBreedInfoByManageTags(manageTags) {
  return request({
    url: '/Pregnancy_Test/Pregnancy_Test/getBreedInfoByManageTags',
    method: 'get',
    params: {
      manageTags: manageTags
    }
  })
}